package com.sinosig.core.module.service.impl;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import com.sinosig.core.module.domain.CIDData;
import com.sinosig.core.module.filter.CIDDataSearchContext;
import com.sinosig.core.module.service.ICIDDataService;
import org.springframework.beans.factory.annotation.Autowired;
import com.sinosig.util.SearchResult;

/**
 * 实体[CIDData] 服务对象接口实现
 */
@Service
public class CIDDataServiceImpl implements ICIDDataService {




    @Override
    public CIDData getDraft(CIDData ciddata) {
        return ciddata;
    }

    @Override
    public CIDData get(String ciddataid) {
        return null ;
    }

    @Override
    public CIDData get(CIDData ciddata) {
        return null ;
    }

    @Override
    public boolean checkKey(CIDData ciddata) {
        return true;
    }
    @Override
    public boolean remove(String ciddataid) {
        boolean bOk = false ;
        return bOk ;
    }

    @Override
    public boolean create(CIDData ciddata) {
        boolean bOk = false ;
        return bOk ;
    }

    @Override
    public boolean update(CIDData ciddata) {
        boolean bOk = false ;
        return bOk ;
    }

    @Override
    public boolean save(CIDData ciddata) {
        if(ciddata.getCIDDataId()==null){
    		return create(ciddata);
    	}else{
            if(this.get(ciddata.getCIDDataId())!=null){
    			return update(ciddata);
    		}
    		return create(ciddata);
    	}
    }

    /**
     * 查询集合 DEFAULT
     */
    @Override
    public Page<CIDData> searchDefault(CIDDataSearchContext context) {
        return null ;
    }


    /**
     * 根据车险单查询
     */
    @Override
    public Page<CIDData> selectByCID(String cidid ){
        return null ;
    }

    /**
     * 根据车险单查询
     */
    @Override
    public List<CIDData> selectByCID2(String cidid ){

        return null ;
    }



}
